petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectListDuplicate

Creates a new list from a give object list.

### Synopsis

    PetscErrorCode  PetscObjectListDuplicate(PetscObjectList fl,PetscObjectList *nl)

### Input Parameters

fl -pointer to list Many br

### Output Parameters

nl -the new list (should point to 0 to start, otherwise appends) Many br

Many br

### See Also

PetscObjectListDestroy(), PetscObjectListAdd(), PetscObjectListReverseFind(), PetscObjectListFind(), PetscObjectListDuplicate()

Level:developer
Location:src/sys/objects/olist.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages